<?php
$son_file = array('0','0899','0253','0292','0294','0227','0283','0863','0236','2481');
for($sonc=0;$sonc<count($son_file);$sonc++) {
	echo '<input type="radio" id="'.$sontype.'bip_choix'.$son_file[$sonc].'" name="'.$sontype.'bip_choix" value="'.$son_file[$sonc].'" onclick="'.$sontype.'choose'.$son_file[$sonc].'(this);" ';
	if(substr($verif_bip_info['valeur'],0,-4)==$son_file[$sonc]) { echo 'checked'; }
	echo ' /><label for="'.$sontype.'bip_choix'.$son_file[$sonc].'"> '.$son_name[$sonc].'</label><br>';
	if($sonc!=0) {
		echo '<audio controls><source src="./img/wav/'.$son_file[$sonc].'.wav" type="audio/wav"></audio><br>';
	}
	echo '<script type="text/javascript">
		function '.$sontype.'choose'.$son_file[$sonc].'(file) {
		var param = "'.$sontype.'";';
		if($son_file[$sonc]==0) {
			echo 'var file = "0";';
		}
		else {
			echo 'var file = "'.$son_file[$sonc].'.wav";';
		}
		echo '$.ajax({
		    type: "POST",
		    data: { param: param, file: file },
		    url: "js/idl/freq_chooseson.php",
		   });
		}						
	</script>';
}		

if($dossier = opendir('./img/wav/'.$prefix)) {
	$tab_son = array();
	while(false !== ($fichier = readdir($dossier))) {
		if($fichier != '.' && $fichier != '..' && $fichier != '0227.wav' && $fichier != '0253.wav' && $fichier != '0283.wav' && $fichier != '0292.wav' && $fichier != '0294.wav' && $fichier != '0863.wav' && $fichier != '0899.wav' && $fichier != '0236.wav' && $fichier != '2481.wav') {
			$fichier1 = str_replace('.','',$fichier);
			echo '<div id="div'.$fichier1.'" name="div'.$fichier1.'"><br><input type="radio" id="'.$sontype.'bip_choix'.$fichier1.'" name="'.$sontype.'bip_choix" value="'.$fichier.'" onclick="'.$sontype.'choose'.$fichier1.'(this);" ';
			if($verif_bip_info['valeur']==$fichier) { echo 'checked'; }
			echo ' /><label for="'.$sontype.'bip_choix'.$fichier1.'"> '.$fichier.'</label> <input class="boutontab" type="submit" value="'.SOUND_BUT1.'" name="del'.$fichier1.'" onclick="'.$sontype.'suppr'.$fichier1.'(this,\'div'.$fichier1.'\');" /><br><audio controls><source src="./img/wav/'.$prefix.'/'.$fichier.'" type="audio/'.pathinfo($fichier, PATHINFO_EXTENSION).'"></audio> 
			</div>';
			echo '<script type="text/javascript">
				function '.$sontype.'choose'.$fichier1.'(file) {
				var param = "'.$sontype.'";
				var file = "'.pathinfo($fichier, PATHINFO_FILENAME).'.'.pathinfo($fichier, PATHINFO_EXTENSION).'";
				$.ajax({
				    type: "POST",
				    data: { param: param, file: file },
				    url: "js/idl/freq_chooseson.php",
				   });
				}						
			</script>';
			echo '<script type="text/javascript">
				function '.$sontype.'suppr'.$fichier1.'(file, divs) {
				for(var g=0;g<document.getElementsByName(divs).length;g++) {
 					document.getElementsByName(divs)[g].style.display = "none";			
  	 			}
				var file = "'.$fichier.'";
				$.ajax({
				    type: "POST",
				    data: { file: file },
				    url: "js/idl/freq_supprson.php",
				   });
				}						
			</script>';
		}
	}			
	closedir($dossier);
}

echo '<p>'.SOUND_BUT2.'
<form enctype="multipart/form-data" action="freq.php?page=param#id'.$sontype.'" method="POST">
<input style="margin-left:100px;" class="boutontab" name="fileson" type="file" accept=".mp3,.ogg,.wav" />
<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="'.SENDFILE.'" name="ajoutson_valid" /></p>
</form>';
?>